Bug 1304324 - openstack overcloud deploy should never generate new passwords for a stack update. [NEEDINFO]
openstack overcloud deploy should never generate new passwords for a stack up...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: y3
: 7.0 (Kilo)
Assigned To: RHOS Maint
yeylon@redhat.com
:
Depends On: 1303681
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 05:19 EST by Jaromir Coufal
Modified: 2016-04-26 11:37 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: When running the command `openstack overcloud deploy` to update a deployment from a directory that wasn't used when creating the deployment the password file wont be found. This results in a new password file being generated and new random passwords will be passed to Heat. Consequence: Heat will attempt to reconfigure the passwords for all the overcloud services, but this isn't fully supported. Workaround (if any): Make sure that all calls to update a deployment are done from the same directory. To check you are in the correct directory, look for a file called tripleo-overcloud-passwords.
Story Points: ---
Clone Of: 1303681
Environment:
Last Closed: 2016-02-09 09:51:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mburns: needinfo? (dmacpher)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1541342 None None None 2016-02-03 07:18 EST
OpenStack gerrit 275661 None None None 2016-02-03 07:19 EST

  None (edit)
Comment 1 Jaromir Coufal 2016-02-03 05:21:25 EST
Doc_text only for 7.3, please.

Note You need to log in before you can comment on or make changes to this bug.